=== debian/control ===
Source: python-gnuplot
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
Build-Depends: debhelper-compat (= 12),
 dh-sequence-python3,
 python3-all (>= 3.7.3),
 python3-setuptools,
Build-Depends-Indep: python3-numpy
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: http://gnuplot-py.sourceforge.net/
Vcs-Git: https://salsa.debian.org/science-team/python-gnuplot.git
Vcs-Browser: https://salsa.debian.org/science-team/python-gnuplot

Package: python3-gnuplot
Architecture: all
Breaks: python-gnuplot
Replaces: python-gnuplot
Depends: ${python3:Depends}, python3-numpy, ${misc:Depends}, gnuplot
Description: Python interface to the gnuplot plotting program
 Gnuplot.py is a Python module that interfaces to gnuplot, the popular
 plotting program. It allows you to use gnuplot from within Python to
 plot arrays of data from memory, data files, or mathematical
 functions. If you use Python to perform computations or as `glue' for
 numerical programs, you can use this module to plot data on the fly as
 they are computed. And the combination with Python makes it is easy to
 automate things, including to create crude `animations' by plotting
 different datasets one after another.
