=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=gnuplot

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

override_dh_auto_test:
# Upstream does not provide "real" automated tests
