=== debian/tests/control ===
Tests: test-no-plot
Depends: python3-gnuplot, gnuplot
Restrictions: allow-stderr
